include:
  - project: "empaia/integration/ci-templates"
    ref: "main"
    file:
      - "pipeline-templates/pipeline-base.yml"
      - "job-templates/docker-init.yml"

variables:
  RUNNER_DOCKER_TAG: empaia-docker

tests:
  tags:
    - empaia-charite-10
  extends: .docker-init
  before_script:
    - !reference [.docker-init, before_script]
    - apt-get install -y openslide-tools
    - poetry install
  script:
    - poetry run tests
    - mkdir public
    - cp wsi_file_format_and_performance_test/data/*.json public/
    - cp wsi_file_format_and_performance_test/data/*.html public/
    - cp -r wsi_file_format_and_performance_test/data/results public/
  after_script:
    - !reference [.docker-init, after_script]
  artifacts:
    paths:
      - public
    expire_in: never

compare:
  tags:
    - empaia-charite-10
  extends: .docker-init
  before_script:
    - !reference [.docker-init, before_script]
    - apt-get install -y openslide-tools
    - poetry install
  script:
    - cp -r public/results wsi_file_format_and_performance_test/data/
    - poetry run compare
  needs:
    - job: tests
      artifacts: true

pages:
  script:
    - ls public/
  artifacts:
    paths:
      - public
  needs:
    - job: tests
      artifacts: true
  only:
    - main
